// ======================================================================
//
// PerThreadData.h
// jeff grills
//
// copyright 1997 origin systems inc
//
// ======================================================================

#include "First.h"
#include "PerThreadData.h"

// ======================================================================

#if _MSC_VER
_declspec(thread) u_int8 perThreadData[sizeof(PerThreadData)];
#else
__declspec(thread) u_int8 perThreadData[sizeof(PerThreadData)];
#endif

// ======================================================================

void PerThreadData::setup(void)
{
	PerThreadData *ptd;

	ptd = fetch();

	ptd->fileStreamerReadEvent = CreateEvent(NULL, FALSE, FALSE, NULL);
	FATAL(ptd->fileStreamerReadEvent == NULL, ("PerThreadData::create fsReadEvent"));

	ptd->exitChainFirstEntry   = NULL;
	ptd->exitChainRunning      = false;
	ptd->exitChainFataling     = false;
}

// ----------------------------------------------------------------------

PerThreadData *PerThreadData::fetch(void)
{
	return reinterpret_cast<PerThreadData *>(&perThreadData);
}

// ======================================================================
